Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 630386 - sys-fs/quota-4.04 : rquota.h:9:21: fatal error: rpc/rpc.h: No such file or directory
Summary: sys-fs/quota-4.04 : rquota.h:9:21: fatal error: rpc/rpc.h: No such file or di...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2017-09-08 16:43 UTC by Toralf Förster
Modified: 2018-04-22 19:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.15 KB, text/plain)
2017-09-08 16:43 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,109.07 KB, text/plain)
2017-09-08 16:43 UTC, Toralf Förster
Details
environment (environment,55.75 KB, text/plain)
2017-09-08 16:43 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.75 KB, application/x-bzip)
2017-09-08 16:43 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.73 KB, application/x-bzip)
2017-09-08 16:43 UTC, Toralf Förster
Details
sys-fs:quota-4.04:20170908-012512.log (sys-fs:quota-4.04:20170908-012512.log,10.36 KB, text/plain)
2017-09-08 16:43 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,17.93 KB, application/x-bzip)
2017-09-08 16:43 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-09-08 16:43:33 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.    -Wno-unused -O2 -pipe -march=native -Wall -Wall -fPIC -c -o librpcclient_a-rquota.o `test -f 'rquota.c' || echo './'`rquota.c
In file included from rquota.c:6:0:
rquota.h:9:21: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
                     ^
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop_20170905-225247

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv sys-fs/quota
[ebuild  N    ] sys-fs/quota-4.04  USE="ldap nls rpc tcpd -netlink"
Comment 1 Toralf Förster gentoo-dev 2017-09-08 16:43:36 UTC
Created attachment 493254 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-08 16:43:40 UTC
Created attachment 493256 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-09-08 16:43:43 UTC
Created attachment 493258 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-09-08 16:43:46 UTC
Created attachment 493260 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-09-08 16:43:49 UTC
Created attachment 493262 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-09-08 16:43:52 UTC
Created attachment 493264 [details]
sys-fs:quota-4.04:20170908-012512.log
Comment 7 Toralf Förster gentoo-dev 2017-09-08 16:43:56 UTC
Created attachment 493266 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2017-09-17 19:03:50 UTC
Fixed in 4.04-r1.